/**
 * [INTERNAL API]
 * Registers a listener for the native 'RumSessionStarted' event, to update
 * the cached Session ID.
 */
export declare const registerRumSessionIdListener: () => void;
/**
 * [INTERNAL API]
 * Removes all listeners for the native 'RumSessionStarted' event (USEFUL FOR TESTING).
 */
export declare const removeRumSessionIdListeners: () => void;
/**
 * [INTERNAL API]
 * Returns the cached RUM Session ID, updated either by:
 * - `RUMSessionStarted` events from the native layer
 * - Calls to `DdRum.getCurrentSessionId()` public API
 * @returns The cached RUM Session ID.
 */
export declare const getCachedRumSessionId: () => string | null;
/**
 * [INTERNAL API]
 * Manually overrides the cached RUM Session ID.
 * @param sessionId The RUM Session ID to set (or null).
 */
export declare const setCachedRumSessionId: (sessionId: string | null) => void;
//# sourceMappingURL=sessionIdHelper.d.ts.map