import { NativeEventEmitter } from 'react-native';
import type { NativeModule } from 'react-native';
/**
 * [INTERNAL API]
 * Creates a {@link NativeEventEmitter} from the given {@link NativeModule}.
 * @param nativeModule The {@link NativeModule} to create the {@link NativeEventEmitter} for.
 * @param createNativeEventEmitter Custom implementation for creating a {@link NativeEventEmitter}.
 * Defaults to {@link createDefaultNativeEventEmitter} (USEFUL FOR TESTING)
 * @returns The created {@link NativeEventEmitter}.
 */
export declare const createNativeEventEmitterForModule: (nativeModule: NativeModule, createNativeEventEmitter?: (nativeEventModule?: NativeModule) => NativeEventEmitter) => NativeEventEmitter;
//# sourceMappingURL=EventEmitter.d.ts.map